﻿# You can place the script of your game in this file.

init:
    
    # Define the style and special properties used in this project.
    $ style.nvl_window.background = '#0000' #makes textbox window transparent
    $ style.default.color =(0, 0, 0, 255) # makes default text black
    
    # Background Images used.
    image black = Solid((0, 0, 0, 255))
    image brown = Solid((100, 50, 0, 255))
    image bg vows = "vows_menu.png" # for vows background
    image bg vows2 = "vows_menu2.png" # for with this ring
    # image bg book = "oldpages2.png" # for standard background
    image bg book = "jm_vintage_batik_p2.jpg" # for standard background
    image bg book2 = "jm_vintage_batik.png" # for standard background without frame
    image bg opening = "title_screen.jpg" 
    image kiss = "kiss.JPG"
    
    # Define the positions used in the layout of the project
    $ topphoto = Position(xpos=50, ypos=50, xanchor=0.0, yanchor=0.0)
    $ bottomphoto = Position(xpos=50, ypos=320, xanchor=0.0, yanchor=0.0)
    $ narrating = Position(xpos=655, ypos=25, xanchor=0.0, yanchor=0.0)
    $ centreshot = Position(xpos=50, ypos=100, xanchor=0.0, yanchor=0.0)
    $ chaptertitle = Position(xpos=420, ypos=20, xanchor=0.0, yanchor=0.0)
    
    #$ credits1 = Position(xpos=50, ypos=50, xanchor=0.0, yanchor=0.0)
    #$ credits2 = Position(xpos=150, ypos=50, xanchor=0.0, yanchor=0.0)
    #$ credits3 = Position(xpos=250, ypos=50, xanchor=0.0, yanchor=0.0)
    #$ credits4 = Position(xpos=100, ypos=170, xanchor=0.0, yanchor=0.0)
    #$ credits5 = Position(xpos=200, ypos=170, xanchor=0.0, yanchor=0.0)
    #$ credits6 = Position(xpos=50, ypos=300, xanchor=0.0, yanchor=0.0)
    #$ credits7 = Position(xpos=150, ypos=300, xanchor=0.0, yanchor=0.0)
    #$ credits8 = Position(xpos=250, ypos=300, xanchor=0.0, yanchor=0.0)
    #$ credits9 = Position(xpos=100, ypos=420, xanchor=0.0, yanchor=0.0)
    #$ credits10 = Position(xpos=200, ypos=420, xanchor=0.0, yanchor=0.0)
    
    $ credits1 = Position(xpos=90, ypos=40, xanchor=0.0, yanchor=0.0)
    $ credits6 = Position(xpos=210, ypos=40, xanchor=0.0, yanchor=0.0)
    $ credits2 = Position(xpos=90, ypos=170, xanchor=0.0, yanchor=0.0)
    $ credits7 = Position(xpos=210, ypos=170, xanchor=0.0, yanchor=0.0)
    $ credits3 = Position(xpos=90, ypos=300, xanchor=0.0, yanchor=0.0)
    $ credits8 = Position(xpos=210, ypos=300, xanchor=0.0, yanchor=0.0)
    $ credits4 = Position(xpos=90, ypos=430, xanchor=0.0, yanchor=0.0)
    $ credits9 = Position(xpos=210, ypos=430, xanchor=0.0, yanchor=0.0)
    $ credits5 = Position(xpos=490, ypos=430, xanchor=0.0, yanchor=0.0)
    $ credits10 = Position(xpos=610, ypos=430, xanchor=0.0, yanchor=0.0)
    
    
    # Rebecca & Lawrence Narrator Sprites
    image rebecca_child = "rebecca_child.png"
    image rebecca_teen = "rebecca_teen.png"
    image rebecca_youngadult = "rebecca_youngadult.png"
    image rebecca_middleaged = "rebecca_middleaged.png"
    image rebecca_old = "rebecca_old.png"
    image rebecca_wedding = "rebecca.png"
    
    image lawrence_child = "lawrence_child.png"
    image lawrence_teen = "lawrence_teen.png"
    image lawrence_youngadult = "lawrence_youngadult.png"
    image lawrence_middleaged = "lawrence_middleaged.png"
    image lawrence_old = "lawrence_old.png"
    image lawrence_wedding = "lawrence.png"
    
    image lawrence_child_flip = im.Flip("lawrence_child.png", horizontal=True)
    image lawrence_teen_flip = im.Flip("lawrence_teen.png", horizontal=True)
    image lawrence_youngadult_flip = im.Flip("lawrence_youngadult.png", horizontal=True)
    image lawrence_middleaged_flip = im.Flip("lawrence_middleaged.png", horizontal=True)
    image lawrence_old_flip = im.Flip("lawrence_old.png", horizontal=True)
    
    # Chapter titles used
    image title_proposal = "titlelawrence1.png"
    image title_lakeside = "titlelawrence2.png"
    image title_argument = "titlelawrence3.png"
    image title_bankruptcy = "titlelawrence4.png"
    image title_cancer = "titlelawrence5.png"
    image title_weddingnight = "titlelawrence6.png"
    image title_lastdays = "titlelawrence7.png"
    image title_playhouse = "titlerebecca1.png"
    image title_birthson = "titlerebecca2.png"
    image title_confession = "titlerebecca3.png"
    image title_makingmoney = "titlerebecca4.png"
    image title_fever = "titlerebecca5.png"
    image title_generations = "titlerebecca6.png"
    image title_eternity = "titlerebecca7.png"
    image title_credits = "titlecredits.png"
    
    
    # Illustration photos used.
    image restaurant = "restaurant.jpg"
    image ring = "pearl_ring.jpg"
    image becky = "becky.png"
    image river = "woods_river.png"
    image lake = "lake.png"
    image becky_room = "bedroom_rebecca.png"
    image summer_room = "summer_room.png"
    image bankrupt = "stock_exchange.png"
    image lawrence_room = "bedroom_lawrence.png"
    image hospital_corridor = "hospital_corridor.png"
    image hotel_room = "hotel_bedroom.png"
    image hospital_bed = "hospital_bed.png"
    image old_hands = "old_hands.png"
    image rebecca_bedroom = "bedroom_rebecca.png"
    image dolls = "dolls.png"
    image baby = "baby.png"
    image college = "cambridge_hallway.png"
    image bench = "garden_bench.png"
    image living_room = "living_room.png"
    image kitchen = "kitchen.png"
    image house = "house.png"
    image bedside = "bedside_lamp.png"
    image celebration = "christmas_table.png"
    

    $ narrator = NVLCharacter(None, kind=nvl)


    # Flags triggered by end of each section, needed to detect ending.
    $ proposal = "False"
    $ lakeside = "False"
    $ argument = "False"
    $ bankruptcy = "False"
    $ cancer = "False"
    $ wedding_night = "False"
    $ last_days = "False"
    $ playhouse = "False"
    $ son = "False"
    $ confession = "False"
    $ money = "False"
    $ fever = "False"
    $ eternity = "False"
    $ destiny = "False"
    $ generations = "False"


# The game starts here.
label start:
    
    $ save_name = "Start"
    $ renpy.clear_game_runtime()
    
    # Plays the following music for the opening sequence
    $ renpy.music.play("canon.ogg")
    
    scene black
    $ renpy.pause(1.0)
    show text "{color=#FFFFFF}{i}For those who still dream...{/i}{/color}" with dissolve
    $ renpy.pause(2.5)
    hide text with dissolve
    
    show text "{color=#FFFFFF}{i}...and those who have forgotten how.{/i}{/color}" with dissolve
    $ renpy.pause(2.6)
    hide text with dissolve
    
    show text "{color=#FFFFFF}A simple love story{/color}" with dissolve
    $ renpy.pause(1.7)
    hide text with dissolve
    
    show text "{color=#FFFFFF}to reawaken hearts and minds{/color}" with dissolve
    $ renpy.pause(1.6)
    hide text with dissolve
    
    show text "{color=#FFFFFF}to the joys, sorrows and wonders{/color}" with dissolve
    $ renpy.pause(2.2)
    hide text with dissolve
    
    show text "{color=#FFFFFF}of marriage.{/color}" with dissolve
    $ renpy.pause(2.5)
    hide text with dissolve

    show text "{size=+10}{color=#FFFFFF}Wedding Vows{/color}{/size}" with dissolve
    # scene bg opening with fade
    $ renpy.pause(3.0)
    hide text with dissolve
    

label vows_menu:
    $ save_name = "Vows Menu"
    scene bg vows with fade
        
    $ result = renpy.imagemap("vows_menu.png", "vows_highlighted.png", [
                               (55, 130, 380, 179, "lawrence_wedded"),
                               (55, 180, 380, 229, "lawrence_havehold"),
                               (55, 230, 380, 279, "lawrence_betterworse"),
                               (55, 280, 380, 329, "lawrence_richerpoorer"),
                               (55, 330, 380, 379, "lawrence_sicknesshealth"),
                               (55, 380, 380, 429, "lawrence_lovecherish"),
                               (55, 430, 380, 479, "lawrence_tildeath"),
                               (420, 130, 775, 179, "rebecca_wedded"),
                               (420, 180, 775, 229, "rebecca_havehold"),
                               (420, 230, 775, 279, "rebecca_betterworse"),
                               (420, 280, 775, 329, "rebecca_richerpoorer"),
                               (420, 330, 775, 379, "rebecca_sicknesshealth"),
                               (420, 380, 775, 429, "rebecca_lovecherish"),
                               (420, 430, 775, 479, "rebecca_tildeath")
                                ])
    jump results
    
label vows_menu2:
    $ save_name = "Vows Menu"
    scene bg vows2 with fade
        
    $ result = renpy.imagemap("vows_menu2.png", "vows_highlighted.png", [
                           (55, 130, 380, 179, "lawrence_wedded"),
                           (55, 180, 380, 229, "lawrence_havehold"),
                           (55, 230, 380, 279, "lawrence_betterworse"),
                           (55, 280, 380, 329, "lawrence_richerpoorer"),
                           (55, 330, 380, 379, "lawrence_sicknesshealth"),
                           (55, 380, 380, 429, "lawrence_lovecherish"),
                           (55, 430, 380, 479, "lawrence_tildeath"),
                           (420, 130, 775, 179, "rebecca_wedded"),
                           (420, 180, 775, 229, "rebecca_havehold"),
                           (420, 230, 775, 279, "rebecca_betterworse"),
                           (420, 280, 775, 329, "rebecca_richerpoorer"),
                           (420, 330, 775, 379, "rebecca_sicknesshealth"),
                           (420, 380, 775, 429, "rebecca_lovecherish"),
                           (420, 430, 775, 479, "rebecca_tildeath"),
                           (240, 480, 540, 530, "with_this_ring")
                            ])
    jump results

label results:
    
    if result == "lawrence_wedded":
        scene black
        show text "{color=#FFFFFF}The Proposal - Age 25{/color}" with dissolve
        $ renpy.pause(2.0)
        hide text with dissolve
        jump proposal 

    elif result == "lawrence_havehold":
        scene black
        show text "{color=#FFFFFF}By the Lake - Age 45{/color}" with dissolve
        $ renpy.pause(2.0)
        hide text with dissolve
        jump lakeside    
            
    elif result == "lawrence_betterworse":
        scene black
        show text "{color=#FFFFFF}The Argument - Age 16{/color}" with dissolve
        $ renpy.pause(2.0)
        hide text with dissolve
        jump argument
           
    elif result == "lawrence_richerpoorer":
        scene black
        show text "{color=#FFFFFF}Bankruptcy - Age 18{/color}" with dissolve
        $ renpy.pause(2.0)
        hide text with dissolve
        jump bankruptcy
        
    elif result == "lawrence_sicknesshealth":
        scene black
        show text "{color=#FFFFFF}Cancer - Age 58{/color}" with dissolve
        $ renpy.pause(2.0)
        hide text with dissolve
        jump cancer
         
    elif result == "lawrence_lovecherish":
        scene black
        show text "{color=#FFFFFF}The Wedding Night - Age 26{/color}" with dissolve
        $ renpy.pause(2.0)
        hide text with dissolve
        hide text with dissolve
        jump wedding_night
      
    elif result == "lawrence_tildeath":
        scene black
        show text "{color=#FFFFFF}The Last Days - Age 60{/color}" with dissolve
        $ renpy.pause(2.0)
        hide text with dissolve
        jump last_days

    elif result == "rebecca_wedded":
        scene black
        show text "{color=#FFFFFF}Playing House - Age 6{/color}" with dissolve
        $ renpy.pause(2.0)
        hide text with dissolve
        jump playhouse
    
    elif result == "rebecca_havehold":
        scene black
        show text "{color=#FFFFFF}Birth of a Son - Age 28{/color}" with dissolve
        $ renpy.pause(2.0)
        hide text with dissolve
        jump son
    
    elif result == "rebecca_betterworse":
        scene black
        show text "{color=#FFFFFF}Confession - Age 21{/color}" with dissolve
        $ renpy.pause(2.0)
        hide text with dissolve
        jump confession
    
    elif result == "rebecca_richerpoorer":
        scene black
        show text "{color=#FFFFFF}Making Money - Age 30{/color}" with dissolve
        $ renpy.pause(2.0)
        hide text with dissolve
        jump money 

    elif result == "rebecca_sicknesshealth":
        scene black
        show text "{color=#FFFFFF}Fever - Age 10{/color}" with dissolve
        $ renpy.pause(2.0)
        hide text with dissolve
        jump fever 
    
    elif result == "rebecca_lovecherish":
        scene black
        show text "{color=#FFFFFF}Generations - Age 35{/color}" with dissolve
        $ renpy.pause(2.0)
        hide text with dissolve
        jump generations 
    
    elif result == "rebecca_tildeath":
        scene black
        show text "{color=#FFFFFF}Eternity - Age 55{/color}" with dissolve
        $ renpy.pause(2.0)
        hide text with dissolve
        jump eternity
        
    elif result == "with_this_ring":
        scene black
        jump ending
        
label query:
        if (proposal == "True") and (lakeside == "True") and (argument  == "True") and (bankruptcy == "True") and (cancer == "True") and (wedding_night == "True") and (last_days == "True") and (playhouse == "True") and (son == "True") and (confession == "True") and (money == "True") and (fever == "True") and (generations == "True") and (eternity == "True"):
            jump vows_menu2
        else:
            jump vows_menu


label proposal:
    
    $ save_name = "The Proposal"
    $ proposal = "True"
    
    scene bg book with fade
    nvl clear
    show title_proposal at chaptertitle
    show lawrence_youngadult at narrating
        
    nvl show None
    show restaurant at topphoto
    nvl show dissolve
    
    "My heart was pounding, and it felt like it could leap out of my throat at any time."
    
    "We were at the restaurant that I often brought her to during our times together."
    
    "The box felt so heavy in my back pocket."
    
    nvl clear
    
    "Becky gazed at me, a questioning look in her eyes. She must have been wondering why I had been behaving so unnaturally today."
    
    "She was stunning. Never in my wildest dreams did I expect that she would have dressed up so well for this occasion. It was almost like she knew that today would be special."
    
    nvl clear
    
    "This was it. The moment I had been planning and preparing for all evening. The last dishes had been cleared by the waiter, and nothing would disturb us for the next half-hour."
    
    "I gulped. {i}Move it, Lawrence! Do it now, or you'll regret it forever!{/i} I sternly commanded my shaking hands to grasp hers."
    
    nvl clear
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Lawrence? What's wrong?"
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Becky, I've got something to ask you..."
    
    "My voice had never sounded so dry and unnatural. Becky was starting to get alarmed."
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} What is it? What's wrong?"
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Nothing's wrong, really... it's just..."
    
    nvl clear
    
    "I gave a rather half-hearted laugh, which didn't fool her for a second."
    
    "Giving up on trying to talk, I let go of one of her hands and forced it to retrieve the little box I had been hiding all day."
    
    "I set it down in front of her."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Open it."
    
    nvl clear
        
    "Becky's expression suddenly changed from alarm to... I don't know what it was. Something too complex for me to read." 
    
    "Half-wonder, half-sweetness, and with all the fullness of her heart in her eyes."
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} I-is that what I think it is?"
    
    nvl clear
    
    "She sounded as nervous as I was. Good. At least I wasn't the only one feeling like a fool and on top of the world at the same time. My brain was still having trouble functioning, so I just repeated myself."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Open it. Please."
    
    nvl clear
    
    "With a gentle, almost hesitant hand, Becky picked up the little jeweller's box and opened it. She gave a little gasp at the sight."
    
    "I knew what she thought she saw. But that wasn't the whole of it." 
    
    "What she actually saw was the product of weeks of searching and months of hard-earned pay. It was the final culmination of my tears, toil and sweat over the last half-year."
    
    nvl clear
    
    nvl show None
    show ring at bottomphoto
    nvl show dissolve
    
    "What she saw was a pearl engagement ring."
    
    "As I remembered once again all the time and effort that had gone into producing this one moment, I knew it had all been worth it." 
    
    "My tongue suddenly freed itself from the straps that had been binding it."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Will you wear it, Becky?"
    
    nvl clear
    # hide restaurant
    # hide ring
    # nvl show None
    # show becky at centreshot
    # nvl show dissolve
    
    "She lifted her eyes to me, shining." 
    
    "I needed no other answer."
    
    nvl clear
    jump query

    
label lakeside:
    
    $ save_name = "By the Lake"
    $ lakeside = "True"
    
    scene bg book with fade
    show title_lakeside at chaptertitle
    show lawrence_middleaged at narrating
    
    nvl clear
    nvl show None
    show river at topphoto
    nvl show dissolve
    
    "We walked alongside the stream through the forest, Becky and I. Her arm was in mine, and my hand was gently cradling hers."
    
    "The woods were peaceful and secluded. It was like a small patch of fairyland had detached itself from the dream world and landed on earth, and we were walking through it now."
    
    nvl clear
    
    "Becky turned to me, the wind rustling in her hair, and smiled the smile that still could make my heart stop."
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} How time flies. Soon, David will be off to college, and it would just be you and me again. I know I'll probably feel a little lonely when he's gone."
    
    nvl clear
    
    "I chuckled in reply. Not because I thought her comment was funny, but just out of the good humour I was in."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} The house {i}will{/i} seem a lot bigger when that little terror leaves, won't it?"
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} That 'little terror', as you call him, is a young man of eighteen now. He deserves a little more respect, as befits his new status as an adult."
    
    nvl clear
    
    "I laughed out loud at Becky's half-mocking, half-severe tone, and the face she was unsuccessfully trying to keep straight."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Did you know that he asked me if he could borrow the car keys tonight? I think our boy's managed to get a date with the Ice Queen after all."
    
    "Becky laughed delightedly."

    nvl clear
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Oh really? I was wondering when she would cave in to his demands. He isn't at all like you when we were that age."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Well, look what I got by being myself. Offhand, I'd say I got the better deal, even if that Mary Roberts {i}does{/i} have ''eyes like the summer sky'' and ''hair like a river of pure gold''."
    
    nvl clear
    nvl show None
    show lake at topphoto
    nvl show dissolve
    
    "Rebecca nestled in my arms for the moment as we paused to survey the lake we were passing by. That lake held a lot of memories for us."
     
    "{color=#49271b}{b}Rebecca:{/b}{/color} Did you ever regret it?"
    
    "Her voice was soft, reflective. The love trials of our son must have brought back memories of our own courtship."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} I never have. And I never will."
    
    nvl clear
    
    jump query

    
label argument:
    
    $ save_name = "The Argument"
    $ argument = "True"    

    scene bg book with fade
    show lawrence_teen at narrating
    show title_argument at chaptertitle
    
    # show rebecca young crying at left with dissolve
    
    show becky_room at topphoto
    nvl show dissolve
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Get out of my room, you insensitive jerk!"
    
    "Becky was crying and throwing the objects by the bedside at me as I tried to defend myself by raising my arms."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Fine then! You've always been such a pain in the eye, Becky! See if I care anymore!"
    
    nvl clear
    # scene bg blythe_house with fade
    
    "I stormed out of the room and slammed the door behind me. Becky's Mom and Dad had come out into the hallway and were staring bewildered at the commotion that had just arisen."
    
    "I brushed past them without a word and headed out the front door. That stupid, pigheaded girl!" 
    
    "I didn't even know what she was crying about. She should have been grateful. After all, I tried to help her to get close to her crush, didn't I?" 
    
    nvl clear
    
    "John and I were classmates, and since she didn't seem to want to do anything except swoon at him from a distance, all I did was tell him about her crush on him. I knew he liked Becky. It would have been a great match."
    
    "But noo... little Miss Becky Blythe suddenly got all embarrassed and started acting ridiculous. And when John took her out to behind the sports hall to talk about it, she came back completely shattered."
    
    nvl clear
    
    "I {i}still{/i} didn't know what was wrong with her. John said she had flat-out denied she had any feelings for him, even when he told her I had said so."
    
    "And when I went over to her house to try and sort out the problem, she started crying and throwing things at me and blaming me for everything. What was {i}with{/i} that girl?"
    
    nvl clear
    nvl show None
    show lake at topphoto
    nvl show dissolve
    
    "I sat fuming by the lakeside for several hours, going through all the wrongs that she had done to me throughout the entire time we had known each other."
    
    "Which was practically our entire lives, considering we were born the same day and lived next door to each other. That made for a lot of nasty little fights when we were younger."
    
    nvl clear
    
    "She still was my best friend though. So what was up with her behaviour? Was it some sort of teenage girl thing? Maybe her hormones were acting up, or she was having PMS."
    
    "I almost didn't notice the crunch of footsteps walking up behind me."
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Hey..."
    
    nvl clear
    
    # show rebecca young downcast at left with dissolve
    
    "I turned at the sound. Becky was standing behind me, looking rather downcast. Her eyes were still red, but at least she seemed to have calmed down somewhat."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} What?"
    
    "I was still cross with her."
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} I'm sorry."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} For what?"
    
    nvl clear
    
    "I knew I was being childish. So sue me. Teenagers were allowed to be like that. It's probably written in the family constitution somewhere."
    
    "Becky sighed, exasperated."
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Look, I'm sorry for yelling at you like that, okay? I just... didn't think that you would do something like that."
    
    nvl clear
    
    "Now I was getting puzzled."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Why? What's wrong with telling John you like him? You've had a crush on him since what, eight months ago? And he likes you too... I can see that."
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Yeah, I... I know. He told me."
    
    nvl clear
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} So I don't get it! You like him. He likes you. I told him you liked him, and he told you he likes you. That should have been a perfect recipe for love!"
    
    "Becky smiled rather bitterly. She looked kinda strange, with her eyes still red and puffy."
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Yeah, it would have... except that I didn't really like him in {i}that{/i} way."
    
    nvl clear
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} What?! But you've been mooning over him every time I see you! For the last eight months, I've been hearing nothing except 'John, John, John!' from you!"
    
    "Becky bit her lip. She looked rather hesitant, then seemed to steel herself to face something."
    
    nvl clear
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} I was trying to make you jealous."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} What?! Why?!"
    
    "Becky turned crimson. She wouldn't look at me."
    
    "..."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Oh."
    
    nvl clear
    
    jump query

    
label bankruptcy:
    
    $ save_name = "Bankruptcy"
    $ bankruptcy = "True"
    
    scene bg book with fade
    show lawrence_teen at narrating
    show title_bankruptcy at chaptertitle
    
    show summer_room at topphoto
    show bankrupt at bottomphoto
    nvl show dissolve
    
    nvl clear
    
    "Dad's declaration of bankruptcy exploded in our household like a thunderclap."
    
    "Apparently, without any of us knowing, he had been working steadily to stave off the impending disaster in the company. But when his partner absconded with the last of the money, there was no choice but to close down."
    
    "And we were suddenly rendered penniless."
    
    nvl clear
    
    "Oh, it wasn't that bad. Mom still had a few stocks and shares under her name, and enough stored away in her bank account to keep us eating for quite a while. And we already paid off the house and car."
    
    "But Dad was out of a job, and there would no longer be enough funds for me to go to college, as I had expected."
    
    "Life threw curveballs at you like that sometimes. You just had to catch them as they came."
    
    nvl clear
    
    "The very next day, I sent a letter cancelling my application to college, and applied for a job at the unemployment office." 
    
    "My parents didn't know about it until later, but when they found out that I was determined to help out in the family finances, they didn't try to dissuade me any further."
    
    "Instead, they sent Becky."
    
    nvl clear
    hide bankrupt
    show lawrence_room at topphoto
    nvl show dissolve
    "{color=#49271b}{b}Rebecca:{/b}{/color} Lawrence?"
    
    # show rebecca young unsure at left with dissolve
    
    "I looked up from where I was busy filling out job application forms at my desk. Becky was standing at the entrance to my room, looking rather unsure."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Hey, Becky. Come on in."
    
    "She walked in and looked over my shoulder to the papers scattered around. She picked one of them up and started reading it."
    
    nvl clear

    "{color=#49271b}{b}Rebecca:{/b}{/color} Your parents told me. Are you really going to go through with this?"
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} I need to do this, Becky. Please understand."
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} But Lawrence, you're giving up your college education! Isn't there some other way? I mean, couldn't you get financial aid or something?"
    
    nvl clear
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} I could... but that would put us even deeper into debt, and I don't want to burden my parents any more. They've been raising me for eighteen years now. It's time I paid them back."
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Lawrence..."
    
    "I sighed. It WAS a bitter pill. Becky knew me well enough to see that I was trying to overcome my disappointment with sheer energetic activity."
    
    nvl clear
    
    "Yet she kept silent about it. That was one of the things I loved about her."
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} It's going to be hard, not having you around at college with me."
    
    "Her voice was quiet. Not argumentative, not whiny. Just a simple statement of her emotions and thoughts at the time. She understood. She wasn't going to stop me."
    
    nvl clear
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Hey, I could always drop by after work, or if I get any days off. We could still go on dates then."
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Or maybe I might just dump you and find another boyfriend in college."
    
    "Her tone was light-hearted, but we both could sense the undercurrent of fear and worry that ran through both of us at the idea."
    
    nvl clear
    
    "Three years was a long time. Our lives would be very different, Becky's and mine. Who knows what could happen? And how would we deal with it?"
    
    "There was a pause."
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} I'm sorry, Lawrence."
    
    nvl clear
    
    "And then she was in my arms, or I was in hers - I didn't know which. All I knew was that we were hugging tightly, drawing strength and comfort from each other to face the long years of toil and struggle ahead of us."
    
    "As long as I had Becky, I would make it through."
    
    "I knew I would."
    
    nvl clear
    
    jump query

    
label cancer:
    
    $ save_name = "Cancer"
    $ cancer = "True"    

    scene bg book with fade
    show lawrence_old at narrating
    show title_cancer at chaptertitle
    
    show hospital_corridor at topphoto
    nvl show dissolve

    nvl clear
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} He says I have cancer."
    
    "I stared at my wife in dazed bemusement. It couldn't be true."
    
    "Becky wavered on her feet for a second. I noticed her knees were trembling."
    
    "{i}Snap out of it, Lawrence! Your wife needs you!{/i} Instinctively, I held out my arms and enfolded her in a comforting embrace."
    
    nvl clear
    
    # hide rebecca old worried
    
    "Becky collapsed into me and started weeping quietly. I just held her and let her cry while I sorted through my own confused whirl of emotions and reactions."
    
    "Okay, she had cancer. Cancer wasn't fatal. Not always. Not if it was detected and treated early. That's what I remembered John telling me during one of our get-togethers."
    
    "Becky would not die. I wouldn't let her."
    
    nvl clear
    
    "David and Mary gathered around us with their children. I was dimly aware of young Steve asking my daughter-in-law what cancer was, and her mother softly explaining it to him. My son just laid his hands on both of our shoulders and leaned to add his strength to support us."
    
    # show john old worried at center with dissolve
    
    "John came hurrying down the corridor of the hospital, his doctor's coat flapping in the wind of his passage. His face was full of sympathy."
    
    nvl clear
    
    "{color=#49271b}{b}John:{/b}{/color} I came as soon as I heard from Dr. Giovanni. It's ovarian cancer, isn't it?"
    
    # show rebecca old worried at left with dissolve
    
    "Becky nodded, starting to dry her eyes."
    
    "{color=#49271b}{b}John:{/b}{/color} Did Dr. Giovanni say how advanced it was?"
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} He wants to give us - our family - a full briefing in his office soon. I was asked to bring you all in, actually."
    
    nvl clear
    
    "She looked at me tearfully, and I sensed the worries that she didn't say. If a doctor wanted to inform all of the family, it couldn't be good news."
    
    "{color=#49271b}{b}John:{/b}{/color} That's not good."
    
    "John had a penchant for stating the obvious. It had been an annoying trait of his ever since the days when we were high school classmates together."
    
    nvl clear
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Can you give us any good news, John?"
    
    "He shook his head, worriedly."
    
    "{color=#49271b}{b}John:{/b}{/color} I'm not an expert at oncology. But from what I remember, ovarian cancer is usually difficult to treat. It may require a full removal of the ovaries and the womb as well as chemotherapy, if the cancer has reached an advanced stage."
    
    nvl clear
    
    "Further discussion was interrupted by my son."
    
    "{color=#49271b}{b}David:{/b}{/color} Dad, Mom, we had better go see Dr. Giovanni. I think that's him signalling us over there."
    
    "David nodded to where a figure in a white coat was beckoning to us through the doorway of an office."
    
    "{color=#49271b}{b}John:{/b}{/color} Lawrence, Becky... if there's anything I can do..."
    
    nvl clear
    
    "I patted John's shoulder as I passed him, supporting my wife's arm as she walked woodenly towards the office."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Thanks for all your help, John. We'll let you know."
    
    "{color=#49271b}{b}Mary:{/b}{/color} I'll stay here to watch the children. David, you go ahead with your parents."
    
    nvl clear
    
    "Mary held Jodie and Steve by the hand as she guided them towards the hospital lounge. David nodded at his wife and accompanied me and Becky towards the doctor's office."
    
    "Every step we drew closer to that door, my grip on Becky's arm tightened. Becky wouldn't die. I wouldn't let her."
    
    nvl clear
    
    jump query

    
label wedding_night:
    
    $ save_name = "The Wedding Night"
    $ wedding_night = "True"
    
    scene bg book with fade
    show lawrence_youngadult at narrating
    show title_weddingnight at chaptertitle
    
    
    nvl clear
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Hold on, Becky. Let me do something."
    
    # show rebecca wedding smile at left with dissolve
    
    "{i}My wife{/i} turned to me, still in her wedding finery. My wife - Mrs. Rebecca Summers. As of five hours ago. She had just unlocked the door to our hotel suite and was smiling at my mischievous grin."
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} What's the mat- Lawrence! Put me down!"
    
    nvl clear
    
    show hotel_room at topphoto
    nvl show dissolve
    
    "Grinning like a madman, I swept her off her feet and carried her through the doorway over the proverbial threshold. She was laughing as I gaily set her down again, satisfied. Even the porter was chuckling."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Always wanted to do that."
       
    "{color=#49271b}{b}Rebecca:{/b}{/color} I can't believe you did something so old-fashioned! You're a romantic at heart, Lawrence!"
    
    nvl clear
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} I never denied it."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} I'm a romantic towards only one person though."
    
    "I smirked at {i}my wife{/i} as she blushed. The porter winked at us and wished us a good night as he set down the baggage and left, closing the door behind him."
    
    "With that, we were alone."
    
    nvl clear
    
    "I had been alone in a room with Becky plenty of times before. We were in each others' rooms all the time when we were little, and had been alone on dates throughout our courtship."
    
    "I had never been alone with {i}my wife{/i} before."
    
    "It left me feeling unnaturally nervous and shy. Or perhaps, it was this hotel and this suite especially, and the promise of what tonight would bring."
    
    nvl clear
    
    "Maybe Becky was feeling the same thing. She was still blushing rosy pink when she turned to face me - or was that the light of the evening sun?"
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Let me go bathe and get out of this wedding dress first."
    
    "Smiling, she ducked her head and walked hurriedly to the bathroom, leaving me standing in the middle of the room among all the baggage."
    
    nvl clear
    
    "I occupied myself with changing into more comfortable clothes, packing away the luggage, and determinedly trying to control my fantasies."
    
    "So much for that idea."
    
    "When Becky finally came out from the bathroom, night had fallen. I was already sitting on the bed when I caught a glimpse of her emerging, wrapped in nothing but steam and a thin bathrobe."
    
    nvl clear
    
    "She dimmed the lights as I rose to face her. Gravely, we looked at each other, nervousness and desire mixing to form a strange tension in the situation. I could feel my heart beating, my insides coiling like a spring as we waited for a signal to start."
    
    "Becky's eyes were glimmering in the semi-darkness. They were pools of radiance, gathering in all the light in the universe as we prepared ourselves for this moment."
    
    nvl clear
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} I love you."
    
    "With that whisper she released herself to me, and the rest of the night was lost in the sights and sounds of Rebecca Summers."
    
    nvl clear
    
    jump query

    
label last_days:
    
    $ save_name = "The Last Days"
    $ last_days = "True"    

    scene bg book with fade
    show lawrence_old at narrating
    show title_lastdays at chaptertitle
    
    show hospital_bed at topphoto
    nvl show dissolve
    
    nvl clear
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Lawrence?"
    
    # show rebecca old lying-down at left with dissolve
    
    "Becky's voice was barely a whisper in the hushed stillness of a hospital ward at night. I lifted my head from where I had been dozing by her bedside and wrapped her outstreched hand with mine own."
    
    "It felt cold, so cold."
    
    nvl clear
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} I'm still here, dear."
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Thank God."
    
    "Can a man die of a broken heart? There lay my wife, in the last stages of a terminal illness. The surgery had been unsuccessful, and the chemotherapy had wrecked her body until it was merely a shadow of its former form, yet Rebecca still clung to life."
    
    "It pained me to see her suffer so."
    
    nvl clear
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} I had a lovely dream just now."
    
    "Her voice was soft, reflective. The traces of pain that had marred her speech previously were gone tonight."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Tell me about it."
    
    "We were conversing in whispers, just her and I. The ward was empty and quiet, and I was the only one with her. David and Mary had taken their children home to settle in for the night."
    
    nvl clear
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} I dreamt that we were getting married again."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Oh?"
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Do you remember our wedding day? When we were saying our vows to each other?"
    
    "I smiled in the darkness."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} It's still as clear as yesterday to me."
    
    nvl clear
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} I was dreaming of that time. I remembered how you looked when you were saying your vows to me. You were so earnest and handsome back then."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Have I changed much?"
    
    "She laughed weakly."
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Not one bit. And don't you ever change. I like you this way."
    
    nvl clear
    
    hide hospital_bed
    show old_hands at centreshot
    nvl show dissolve
    
    "Her hand gripped mine briefly, and we just sat in the silent darkness, reminiscing."
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Lawrence..."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Yes dear?"
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Will you say them again for me?"
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Say what?"
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Our wedding vows."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} What? Why?"
    
    nvl clear
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Please, Lawrence. I just want to hear them once more before I die."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} You're not going to die."
    
    "I was being stubborn and foolish. I knew it, and Becky knew that I knew it. She kept quiet, waiting for me."
    
    nvl clear
    
    "After a while, I began whispering them in her ear. The words came as naturally to me as they did thirty-odd years ago - but richer, fuller with all the experiences of a lifetime behind them."
    
    nvl clear
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} I, Lawrence Summers, take you, Rebecca Blythe, to be my lawfully-wedded wife."
    
    "I could feel her smiling at the memory."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} To have and to hold,"
    
    "I rose up to lie alongside the bed beside her, cradling her in my arms."
    
    nvl clear
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} For better or for worse, for richer and for poorer,"
    
    "She nestled against my chest, breathing softly as I whispered the words into her hair."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} In sickness and in health, to love and to cherish,"
    
    "Her hands tightened their grip upon mine for a second, before going limp."
    
    nvl clear
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} From this day forward, until death do us part."
    
    "The words were said in barely a whisper. I knew she couldn't hear me."
    
    "Bowing my head, I sealed our renewed vows with a kiss, and followed her home."
    
    nvl clear
    
    jump query
    

label playhouse:
    
    $ save_name = "Playing House"
    $ playhouse = "True"    

    scene bg book with fade
    show rebecca_child at narrating
    show title_playhouse at chaptertitle
    
    show rebecca_bedroom at topphoto
    nvl show dissolve
    
    nvl clear
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Now, you're the Daddy and I'm the Mommy and these are our children."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} How come we have so many children?"
    
    "Lawrence was complaining again. He always did this whenever we played house together."
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Don't you want such a lot of nice daughters? Look, there's Millie all dressed up in her best blue outfit, and I combed Sally's hair today, and Georgia has got..."
        
    nvl clear
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} I want a boy."
    
    "I looked around the room. Millie and Sally and Georgia and Polly were sitting at the table have tea together. Francine and Barbie were playing in the corner, but I didn't see Ken anywhere."
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} I don't know where the boy is."
    
    "Lawrence had gotten that look on his face that said he was being stubborn again." 
     
    nvl clear
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Then I'm not going to play."
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Come on, Lawrence... pwease?"
    
    "I used my puppy-dog-eyes look on him. It always worked on Daddy. Maybe it could work on Lawrence too."
    
    "He scowled at me."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} I want a boy."
    
    "I pouted."
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Go find one yourself."
    
    nvl clear
    
    show dolls at bottomphoto
    nvl show dissolve
    
    "With that, Lawrence dived into the soft toys on my bed, looking for Ken. Too late, I realised he was going to mess them up looking for his boy."
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} No Lawrence! Don't touch my toys!"

    "{color=#49271b}{b}Lawrence:{/b}{/color} Too late!"
    
    "He gleefully shouted while picking up a teddy bear and throwing it at me. Mr. Ruffles hit me on the nose. I blinked and fell down on my tushy."
      
    nvl clear
      
    "{color=#49271b}{b}Rebecca:{/b}{/color} Lawrence! Don't mess up my things!"

    "The playing-room was in a mess as Lawrence was tossing soft toys left and right. I think he had forgotten all about looking for Ken and was just enjoying himself."
    
    "I began to cry. Tears welled up in my eyes when I thought about all the time I spent getting the room ready to play in, and how fast it was destroyed."
        
    nvl clear
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} What's wrong Becky? Come on, don't cry. Please? Look, I'm sorry for messing your room up."
    
    # show lawrence child concerned at left with dissolve
    
    "Lawrence was at my side in an instant, patting me on the back and looking guilty. I continued to sniffle at him."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} I'm sorry, okay? Look, I'll make it up to you. I'll help you tidy up again, and then we'll play house without a boy, okay? Please stop crying."
        
    nvl clear
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} You promise?"
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Yeah, I promise. No boy. Just you and me and the girls."
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Okay."
    
    "I stopped crying and wiped my nose on my sleeve. He looked relieved. I learned something then. Lawrence was a softie, just like Mr. Ruffles. Then a thought occurred to me."
        
    nvl clear
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} I want a boy too."
    
    "Lawrence looked puzzled at my sudden change of heart."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} What?"
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} When we become Mommy and Daddy for real."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Oh, okay. Sure thing."
    
    nvl clear
    
    jump query
    

label son:
    
    $ save_name = "Birth of a Son"
    $ son = "True"    

    scene bg book with fade
    show rebecca_youngadult at narrating
    show title_birthson at chaptertitle
        
    nvl clear
    
    show hospital_bed at topphoto
    nvl show dissolve
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} He's beautiful. And so are you."
    
    "I nestled the tiny little head against my breast as he began to suckle and looked up at my husband. He was smiling at me with a look that mingled pride and gentle affection."
    
    show baby at bottomphoto
    nvl show dissolve
    
    "I gazed down once again at the exquisite creation in my arms, and wondered again how anything could be as marvelous as the feeling of holding your own baby."
        
    nvl clear
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} He is, isn't he?"
    
    "Lawrence quietly walked over to the side of the bed and crooked his arm around my shoulders while watching the little man that we had both made. I leaned against him, wanting him to share in this wonderful feeling I had."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} He's got your hair."
        
    nvl clear
    
    "Lawrence laid a hand gently upon the baby's scalp, which was covered a tiny little fuzz. He ran his palm across the smooth curve, lightly stroking the little man's head. It caused the tugging at my nipple to increase momentarily."
    
    "I laughed."
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} He's got {i}your{/i} appetite, apparently."
    
    nvl clear
    
    "Lawrence joined me in the laughter and held out his finger for the tiny little hand to grip. When the baby clasped on to his outstretched finger, I could see a look of utter peace pass across Lawrence's face."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} He's going to be strong, isn't he?"
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} The doctors said they never saw a baby that looked healthier."
    
    nvl clear
    
    "At last, the baby stopped feeding and gave a little burp. Lawrence and I both chuckled at such a sound coming from his tiny face. I gently lifted the cloth and dabbed at the milk stains around his mouth."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Have you decided what to call him?"
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Yes. His name is David. It means 'beloved son'."
        
    nvl clear
    
    "Lawrence smiled down at me, gently stroking my hair and the baby's scalp together."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} David. Our beloved son. It's a good name."
    
    "We remained that way for a slice of eternity, lost in the wonder of our son."
        
    nvl clear
    
    jump query
    

label confession:
    
    $ save_name = "Confession"
    $ confession = "True"
    
    scene bg book with fade
    show rebecca_teen at narrating
    show title_confession at chaptertitle
        
    nvl clear
    
    show college at topphoto
    nvl show dissolve
    
    "{color=#49271b}{b}John:{/b}{/color}Becky! Wait up!"
 
    # show john young hurried at left with dissolve
    
    "I turned to see John hurrying down the hallway, deftly avoiding wandering professors and giggling students while balancing the stack of medical textbooks he was carrying." 
    
    "He stumbled and nearly dropped all his books once or twice, but somehow managed to maintain his balance."
    
    nvl clear
    
    "I stifled a giggle. John was as clumsy as ever - even three years of med school couldn't change that." 
    
    "I heard reports saying he had nerves of steel in the operating room, but no one would think it, looking at the way he was carrying on outside classes."

    "He skidded to a stop next to where I was waiting, puffing with the exertion." 
    
    nvl clear
    
    "I looked at him fondly. John was the closest friend I had here, after we had graduated from high school together and gone to the same college. We often met outside classes to have lunch."
    
    "{color=#49271b}{b}John:{/b}{/color} Thanks for waiting."

    "He was red in the face, still recovering from the mad dash he had made across the campus corridors. I laughed and couldn't resist taking the opportunity to tease him a little."
      
    nvl clear
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} You should really think more about your image, Dr. Hastings. After all, what would the other students say if they saw their idol running around like that? Alicia Stuart would be devastated."
  
    "It was no secret that John was the darling of the medical faculty, well-liked by teachers and students alike - especially the female ones." 
      
    nvl clear
    
    "He was handsome in a distinguished-looking way that would look even better as he grew older, and it was rumored that he and Alicia Stuart had been seeing each other very often recently."

    "John turned redder at my comment, and then paled as his expression changed."
    
    "{color=#49271b}{b}John:{/b}{/color} Becky, could I talk to you for a second?"

    # show john young serious at left with dissolve
      
    nvl clear
    
    "His voice had suddenly turned so serious that I was momentarily taken aback. He glanced at me nervously before looking away, but then changed his mind and continued to stare at my face."

    "{color=#49271b}{b}Rebecca:{/b}{/color} S-sure. What do you want to talk about?"
    
    "I was puzzled and a bit alarmed about his sudden change in demeanour. It was so unlike John, who was usually free and easygoing."
      
    nvl clear
    
    "He looked around quickly and noticed how crowded it was."

    "{color=#49271b}{b}John:{/b}{/color} Not here... let's go somewhere private."

    "Saying that, he tucked his books under one arm, grabbed my hand with the other, and half-led, half-tugged me towards one of the empty corners of the campus garden nearby.   He was behaving very oddly."
    
    nvl clear
    
    hide college
    show bench at topphoto
    nvl show dissolve
    
    "I had to step quickly to keep up with his pace, but soon we arrived at the secluded garden."

    "John put down his books quickly, and then turned around to face me. His mouth was twitching like he was having trouble saying something."

    "I felt a wave of compassion towards him. Obviously, this had to be something important - so important that he must have been agonising over it for some time."
    
    nvl clear
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} What is it, John? What's got you so upset?"

    "{color=#49271b}{b}John:{/b}{/color} Becky, I-"

    "He stopped and looked awkwardly at my hands, which he had clasped convulsively in his own. Tightening his grip slightly, he tried again."

    "{color=#49271b}{b}John:{/b}{/color} Becky, there's really nothing between Alicia and me."

    "I was surprised. All right. So the rumors were wrong. I shrugged. Was this what he wanted to say?"
    
    nvl clear
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Okay, John... don't worry about it. I was just teasing you."

    "{color=#49271b}{b}John:{/b}{/color} Oh."

    "He still didn't look satisfied, though."
    
    "{color=#49271b}{b}John:{/b}{/color} Actually, um... there's something else."

    "I started to feel a hint of unease. Where had I seen this expression on his face before? I knew I had seen it some time ago."
    
    nvl clear
    
    "{color=#49271b}{b}John:{/b}{/color} Some {i}one{/i} else, rather."
    
    "John laughed rather nervously, and my unease solidified into a certainty as I remembered a certain incident at the back of our high school, nearly five years ago. At that time, I was trying to make Lawrence jealous by pretending to be in love with John."

    "{color=#49271b}{b}John:{/b}{/color} It's you, Becky. I've been in love with you ever since our high school days."
    
    nvl clear
    
    "He sighed in relief at finally getting it out, and looked at me with all of his heart in his eyes."

    "My heart ached. He was my best friend, and with Lawrence working most of the week, John had become the one I saw most of throughout our college years."

    "{color=#49271b}{b}Rebecca:{/b}{/color} John..."    
    
    nvl clear
    
    "He must have seen my expression, and read what it meant, because suddenly words came spilling out of his mouth in an attempt to stop the tide."

    "{color=#49271b}{b}John:{/b}{/color} I know that you and Lawrence are going out... he and I talk about you a lot, but you never speak much of him here, so maybe I thought you might not feel the same way, and so I was thinking I might have a chance, and it just... seemed that... you..."
    
    nvl clear
    
    "John's voice just trailed off as I looked at him sympathetically, not wanting to hurt him further by putting it into words."

    "Lawrence was the one for me. He always had been, and always would be. There was a bond between us that nobody else could come close to or understand - it was unspoken, and buried deep sometimes, but it was always there. Lawrence formed the bedrock of my life. "
    
    nvl clear
    
    "I couldn't imagine a life without Lawrence by my side, and no matter how much John loved me, or how far away I felt from Lawrence, I knew I would still choose him, no matter what."

    "{color=#49271b}{b}Rebecca:{/b}{/color} I'm sorry, John. I'm so sorry."
    
    "John closed his eyes and took a deep breath before letting it out slowly. He looked at me ruefully, and I knew neither of us would mention this conversation again."
    
    nvl clear
    
    "{color=#49271b}{b}John:{/b}{/color} I hope Lawrence knows what a treasure he's getting."

    "I hugged my friend as he cried away his first love, and all I could think of was how lonely I felt without Lawrence here."

    "{color=#49271b}{b}Rebecca:{/b}{/color} I'm so sorry, John."

    nvl clear
    
    jump query


label money:
    
    $ save_name = "Making Money"
    $ money = "True"    

    scene bg book with fade
    show rebecca_middleaged at narrating
    show title_makingmoney at chaptertitle
    
    nvl clear
    
    show living_room at centreshot
    nvl show dissolve
    
    "It was 11 p.m."

    "I had just put baby David to sleep, and now sat in the living room waiting for Lawrence to arrive back home."

    "The house was dark, quiet. It was lonely without its master."

    "Ever since he had gotten that new job at Myers and Co., where they paid extra for overtime, he had been working late into the night." 
    
    nvl clear

    "I hardly saw my husband anymore. He would often come back only to fall to bed exhausted before leaving early the next morning for work again. Even on Sundays, he was usually too tired to do anything but sleep the whole day through."

    "This had to stop. I steeled myself for the confrontation."
    
    "Finally, I heard a key turn in the latch."

    nvl clear
    
    "Lawrence tiptoed through the front door, not bothering to turn on the lights as he removed his shoes. He hadn't noticed me yet, sitting in the darkened corner of the living room."

    "{color=#49271b}{b}Rebecca:{/b}{/color} Lawrence."

    # show lawrence adult tired at left with dissolve

    "My husband jumped slightly."

    "{color=#49271b}{b}Lawrence:{/b}{/color} Becky? You're still up so late?"
    
    nvl clear
    
    "His voice was low, blurred with fatigue. My heart couldn't help softening towards him a little."

    "{color=#49271b}{b}Rebecca:{/b}{/color} I was waiting for you to come back."

    "My voice sounded strained. It had been a trying day, with David fussing a lot, and I was tired too."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} What's wrong, honey?"

    "Even after such a long day, Lawrence was still sensitive to my voice. That's one of the things I loved about him."
    
    nvl clear
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Lawrence, it's eleven o' clock! Whatever possessed you to stay so long at the office tonight?"
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} I'm so sorry, dear. There's this project coming up, and rumours have been going around that whoever presents the best proposal to Myers will get a promotion. I've been working overtime to prepare my draft."

    "{color=#49271b}{b}Rebecca:{/b}{/color} But Lawrence, this is the third month you've been doing this! When is it ever going to end?"
    
    nvl clear
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Don't worry, dear. After the next month, I'll send my proposal in and things will go back to normal again."

    "His vacuous smile as he said that really irritated me, as if he was just dismissing it as a trivial concern."

    "{color=#49271b}{b}Rebecca:{/b}{/color} You're missing all of David's growing up. I'm not even sure if he recognises you anymore, and I myself hardly see you!"
    
    nvl clear
    
    # show lawrence adult concerned at left with dissolve
    
    "Lawrence looked surprised at this sudden outburst, then put on a concerned expression."

    "{color=#49271b}{b}Lawrence:{/b}{/color} Are you all right, Becky? You seem rather strained. Did David make a fuss today?"

    "{color=#49271b}{b}Rebecca:{/b}{/color} No, I'm not fine! Lawrence, you're missing everything! David said his first word today, did you know that?"
    
    nvl clear
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} He did? That's wonderful!"

    "{color=#49271b}{b}Rebecca:{/b}{/color} It was 'da-da'."

    # show lawrence adult smile at left with dissolve
    
    "Lawrence looked gratified. I remembered the incident and felt the sorrow again." 

    "{color=#49271b}{b}Rebecca:{/b}{/color} You weren't here for it, Lawrence."

    "My voice had dimmed to merely a whisper. I could feel tears starting to well up in the corners of my eyes."
    
    nvl clear
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} What?"

    "{color=#49271b}{b}Rebecca:{/b}{/color} If you had come back at your normal time, like you should have, you could have heard him too. He said it just after dinner."

    "I had promised myself I wouldn't cry."

    # show lawrence adult concerned at left with dissolve
    nvl clear   
    
    "Lawrence came up to me and held me softly. I struggled against him, still feeling a little resentful."

    "{color=#49271b}{b}Lawrence:{/b}{/color} Becky, dear, you know I wouldn't have missed it for the world, if I had known."

    "{color=#49271b}{b}Rebecca:{/b}{/color} But you did, Lawrence. And it was because you were too focused on your work. David and I hardly see you anymore around the house."

    nvl clear   
     
    "{color=#49271b}{b}Lawrence:{/b}{/color} But I'm doing this {i}for{/i} you and David! I'm working to get that promotion so that you and he will never have to go through the same hardships that I did when I was growing up."

    "{color=#49271b}{b}Rebecca:{/b}{/color} What hardship? Lawrence, you and I had a happy childhood!"

    nvl clear
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Becky, dear, I never told you some of the struggles I had to go through when I was working for the first time. You know it was difficult for my family when my father's business went bankrupt."

    "{color=#49271b}{b}Lawrence:{/b}{/color} I didn't want you or David to have to go through the same things that my mother and I had to. That's why I'm working as hard as I can to earn enough money to provide for us comfortably in case of a rainy day."

    nvl clear
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} But Lawrence, even then, you're working {i}too{/i} hard! I don't want a husband who only earns money but is never around. I want you {i}with{/i} me, not just working {i}for{/i} me. I'm {i}lonely{/i}, Lawrence!"

    "Lawrence was quiet for a while, sinking into his own private world. The tension in the room had risen noticeably since the exchange of words started, and I was freely letting my tears fall, showing him how upset I was."
    
    nvl clear
    
    "Gradually, as I calmed down, he began stroking my hair. I looked up to see him smiling gently at me."

    "{color=#49271b}{b}Lawrence:{/b}{/color} Have I told you recently how fortunate I am to have you in my life?"

    "{color=#49271b}{b}Rebecca:{/b}{/color} No."

    # show lawrence adult smile at left with dissolve
    
    "Lawrence laughed at my petulant tone."

    "{color=#49271b}{b}Lawrence:{/b}{/color} Well, it's true. Becky, dearest, you're my treasure. I only wish other men were as fortunate as I am."
    
    nvl clear
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Does that mean you'll stop spending so much time at work?"

    "{color=#49271b}{b}Lawrence:{/b}{/color} Yes. Yes, I'll stop. Forgive me, Becky. I was so busy thinking of the future that I forgot to appreciate the present."

    "I felt my lips curving up in a smile. I knew he meant what he said. Lawrence had genuinely come to a conclusion that he would stick to, and nothing would change him from now on."
    
    nvl clear
    
    "My husband was stubborn like that." 
    
    "He would take in all information, debate it within himself, and then determine which was the best path to follow. And then I knew I could trust him to follow it as his conscience dictated." 

    "That's why I gave my future into his care, and he gave his present into mine."
    
    nvl clear
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Forgive me, Becky. I promise to come home early and be more attentive to your needs from now on."

    "{color=#49271b}{b}Rebecca:{/b}{/color} But what about your promotion?"

    "{color=#49271b}{b}Lawrence:{/b}{/color} There will be other opportunities. I am still young, and I'll get a chance again to rise up the ranks. But I won't ever get to see David grow up more than once, or spend this time with you."
    
    nvl clear
    
    "Happiness welled up within my soul, soothing the storm of emotions that had just passed through, and freeing my heart from the burdens that had lain upon it."

    "I cupped his cheek, looked into his eyes, and kissed him. It was the warm kiss of a wife finally welcoming her husband home."
    
    nvl clear
    
    jump query

    
label fever:
    
    $ save_name = "Fever"
    $ fever = "True"
    
    scene bg book with fade
    show rebecca_child at narrating
    show title_fever at chaptertitle
        
    nvl clear
    
    show kitchen at topphoto
    
    # show Mrs Blythe concerned at center with dissolve
    
    "{color=#49271b}{b}Mrs Blythe:{/b}{/color} Becky dear, where are you going?"

    "{color=#49271b}{b}Rebecca:{/b}{/color} I wanna go over to play with Lawrence."

    "{color=#49271b}{b}Mrs Blythe:{/b}{/color} Lawrence is sick, dear. You shouldn't disturb him."

    "{color=#49271b}{b}Rebecca:{/b}{/color} But I wanna go, Mommy! Lawrence needs me over there. He told me so."

    "My mother looked at me silently for a while, then came over to me and held me in her arms."
    
    nvl clear
    
    "{color=#49271b}{b}Mrs Blythe:{/b}{/color} Becky dearest, you know Lawrence isn't calling you. He's got a fever right now, honey."

    "I shook my head stubbornly. Lawrence needed me. He wanted me over there, I just knew it."

    "{color=#49271b}{b}Rebecca:{/b}{/color} I want to go to where Lawrence is."

    "My mother sighed."
    
    nvl clear
    
    "{color=#49271b}{b}Mrs Blythe:{/b}{/color} All right, dear, how about this? Let's cook some nice chicken soup for Lawrence, okay? And then you can go over and give it to his mother to bring it to him."

    "I didn't like having to wait, but I thought maybe Mommy would let me go over quicker if I helped her make the chicken soup. And maybe Lawrence might like it too if I brought some soup over."

    "{color=#49271b}{b}Rebecca:{/b}{/color} Okay Mommy."
        
    nvl clear
    
    # hide Mrs Blythe

    "With that, we spent the next hour making chicken soup for Lawrence. It was so interesting being able to help Mommy cook. It was my first time making soup, so I wanted it to be especially good so I could show off to Lawrence."

    "Finally, Mommy lifted the lid of the boiling pot and tasted a bit of the soup."

    "{color=#49271b}{b}Mrs Blythe:{/b}{/color} Mmm... that's good. Would you like a taste, honey?"
    
    nvl clear
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Yes please."

    "I got up on the little stool and sipped at the soup ladle. It was nice. I knew Lawrence was going to like it."

    "{color=#49271b}{b}Rebecca:{/b}{/color} Can I bring it to Lawrence now?"

    # show Mrs Blythe concerned with dissolve
    
    "My mother wrinkled her mouth as though she wanted to say something, but she remained silent. Finally, she nodded and I bounced off the stool, smiling at her."
    
    nvl clear
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Thank you Mommy! I'll be right back after I see Lawrence."

    "I was about to rush out of the kitchen to get ready when my mother called me back."

    "{color=#49271b}{b}Mrs Blythe:{/b}{/color} Wait, Becky! Let me give you the soup to bring to Mrs. Summers! And remember, you're not to disturb Lawrence if he's too ill to see you."
    
    nvl clear
    
    "She quickly poured the soup into a container and gave it to me to carry over to Lawrence's house. I had already put on my shoes and was waiting for her at our doorstep. She looked at me sternly."

    "{color=#49271b}{b}Mrs Blythe:{/b}{/color} Remember what I said."

    hide kitchen
    show house at topphoto
    nvl show dissolve
    
    "I carefully carried the soup to the next house and knocked at the door. Mrs. Summers opened it and looked at me in surprise."

    # show Mrs Summers concerned with dissolve
        
    nvl clear
    
    "{color=#49271b}{b}Mrs Summers:{/b}{/color} Why, Becky, what are you doing here?"

    "{color=#49271b}{b}Rebecca:{/b}{/color} Hi Mrs. Summers. I made some chicken soup for Lawrence."

    "I held out the container for her inspection. She looked confused as she took it."

    "{color=#49271b}{b}Mrs Summers:{/b}{/color} Err... thank you dear. I'm sure Lawrence will appreciate it."
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Can I see Lawrence?"

    nvl clear
    
    "I was hopping nervously, looking past her into the house, hoping for a glimpse of him."

    "{color=#49271b}{b}Mrs Summers:{/b}{/color} Lawrence is sleeping now, dear. He's had a long day."

    "I must have looked disappointed, because suddenly Mrs. Summers sounded very kind."

    "{color=#49271b}{b}Mrs Summers:{/b}{/color} But if you're very quiet, I'll let you peek into his room."

    "{color=#49271b}{b}Rebecca:{/b}{/color} That'll be great!"
    
    nvl clear
    
    "I beamed at her, and she smiled back at me, glancing out of the corner of her eye at my mother, who still was standing at our doorstep watching us. I saw my mother give a slight nod before disappearing back inside."

    "{color=#49271b}{b}Mrs Summers:{/b}{/color} Come on in, Becky."
    
    hide house
    show lawrence_room at topphoto
    nvl show dissolve
    
    "I quickly followed her in and took off my shoes. She led me up the stairs, padding quietly in my socks, and opened the door to Lawrence's room."
    
    nvl clear
    
    "He was snoring softly, drooling on his pillow. I giggled, but then felt sorry for him. He started coughing in his sleep, and before I knew what I was doing, I was by his bedside, holding his hand."

    "It felt hot to the touch, as though he was burning up. I was a little scared at how hot it was, and how hard he was coughing. Lawrence woke up when he felt my cold hands on his." 

    # show lawrence child sick
        
    nvl clear
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Bec-ky?"

    "He stared at me blearily, wheezing as he spoke. Mindful of Mommy's and Mrs. Summers' warnings, I answered quietly."

    "{color=#49271b}{b}Rebecca:{/b}{/color} I'm here Lawrence."

    "Lawrence's mother came up quietly behind me and changed the towel on his forehead. He smiled gratefully at her before turning back to face me."

    "{color=#49271b}{b}Lawrence:{/b}{/color} Knew.. you... would come."
    
    nvl clear
    
    # hide lawrence
    
    "He broke into another extended fit of coughing, and I gripped his hand tightly, waiting for him to calm down. I shot a pleading look at Mrs. Summers, who was looking at us worriedly."

    "{color=#49271b}{b}Rebecca:{/b}{/color} Can I stay with him? Please?"

    # show Mrs Summers concerned with dissolve
    
    "She looked at me with the same expression that my mother had, and then turned to look at Lawrence, who was also nodding in between coughs. Then she sighed."
    
    nvl clear
    
    "{color=#49271b}{b}Mrs Summers:{/b}{/color} All right. I'll go explain things to your mother."

    "With that, she quietly left the room, closing the door behind her."

    # hide Mrs Summers
    
    "From that day on, I started taking care of Lawrence."
    
    nvl clear
    
    jump query


label generations:
    
    $ save_name = "Generations"
    $ generations = "True"
    
    scene bg book with fade
    show rebecca_middleaged at narrating
    show title_generations at chaptertitle
    
    nvl clear
    
    show bedside at topphoto
    
    "When we heard that my father was dying, Lawrence immediately took leave from work and accompanied me as we rushed to his bedside." 
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} Daddy!"
    
    "{color=#49271b}{b}Mr Blythe:{/b}{/color} Becky..."
    
    nvl clear
    
    "He tried to get up, but failed and sank back into his pillows. He was such a pale shadow of his former self that I was shocked and scared. The man that I had loved and admired all my life was now weak and frail. I gripped his hand tightly, willing him not to let go."
    
    "Behind me, I could hear Lawrence quietly whispering to David as he carried the boy in his arms, and comforting my mother at the same time as she wept on his shoulder."
    
    nvl clear
    
    "My father seemed aware of this also, as he looked up at them and stretched out a reedy hand."
    
    "{color=#49271b}{b}Mr Blythe:{/b}{/color} Lawrence, bring the boy here... I want to see my grandson again before I leave."
    
    "Eyes half-blinded by tears, I turned to look at my husband as he gently disengaged himself from my mother and brought David close. My son was wide-eyed but solemn, looking down at his maternal grandfather."
    
    nvl clear
    
    "My father smiled at them and stretched forth a hand. Lawrence took David's tiny fist and laid it in his grandfather's palm before clasping both their hands together with his own. My father's other hand was held firmly in mine."
    
    "He played with David for a little while before looking up once again at my husband."
    
    "{color=#49271b}{b}Mr Blythe:{/b}{/color} Lawrence, it's over for me."
    
    nvl clear
    
    "His voice had gained strength, and he once again had spoken in the tones of the trained doctor that he was, not the frail and dying old man that was before me. I shook my head violently in denial, tears blurring my sight, but my father only smiled."
    
    "{color=#49271b}{b}Mr Blythe:{/b}{/color} Shh... don't cry, dear. I've made my peace with God already. I only wish I didn't have to leave your mother and you behind."
    
    nvl clear
    
    "Above me, I could hear a stifled sob as my mother put her hands on my shoulders and gripped them tightly. My father looked at her for a moment, then turned back to Lawrence."
    
    "{color=#49271b}{b}Mr Blythe:{/b}{/color} Lawrence, you've been like a true son to me. I was glad that Becky married you. I'm leaving it to your hands now. Take care of my family for me."
    
    nvl clear
    
    "My husband and my father stared into each other's eyes and some unspoken message passed between them. Lawrence nodded once, slowly."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} I will. I accept."
    
    nvl clear
    
    "Those two words seemed to effect a great change in the atmosphere. Lawrence's shoulders were squared as if a new burden had been placed onto them, and my father fell back into his pillows with a great sigh of relief."
    
    "The strength that had sustained him in the last few moments seemed to have flowed out of him."
    
    nvl clear
    
    "{color=#49271b}{b}Mr Blythe:{/b}{/color} Thank you, son. Becky, dear... I know I didn't say it as much as I should have, but I love you. I've loved you from the moment you were born."
    
    "{color=#49271b}{b}Rebecca:{/b}{/color} I know, Daddy."
    
    "He smiled at me once again and gripped my hand tightly before releasing it."
    
    "{color=#49271b}{b}Mr Blythe:{/b}{/color} Now, go, all of you, with my blessing. Let me spend my last few moments with my wife."
    
    nvl clear
    
    "Lawrence and I retired to a corner of the room, carrying David. My tears had stopped, somehow, when my father had told me he loved me, and a peace had come into my heart. My mother still bent over him, and they were whispering quiet words to each other."
    
    "A timeless interval passed."
    
    "Finally, the whispering stopped."
    
    nvl clear
    
    "My mother was weeping quietly at the bedside. Lawrence and I came close, and I could see that my father had passed on. I gathered my mother into my arms and comforted her."
    
    "Lawrence placed his hands on our shoulders. I looked up for a moment to see him standing above us, gazing at the face of my father. Tears sparkled in his eyes too, but there was a new expression of strength and determination that I had never seen on his face."
    
    nvl clear
    
    "I had seen it before, though. It was the same look that my father always used to have, whenever major things had happened that affected our family. It was the strength of the man who had accepted responsibility for the lives of those he held dear."
    
    "He had become the new head of the household - my husband."
    
    nvl clear
    
    jump query


label eternity:
    
    $ save_name = "Eternity"
    $ eternity = "True"    

    scene bg book with fade
    show rebecca_old at narrating
    show title_eternity at chaptertitle
        
    nvl clear
    
    show celebration at topphoto
    nvl show dissolve
    
    "'...{i}Happy Birthday to you!{/i}'"

    "As the song ended, claps and cheers arose from the people assembled around us." 
    
    "I looked around at the circle of smiling faces, both young and old, and rejoiced once again in my good fortune."

    # show lawrence old smile at left with dissolve
    
    "Lawrence's hand was clasped in mine, the warmth from his broad palm spreading through my fingers." 
    
    nvl clear
    
    "I turned to look at him, and he was staring at me with the same look that had made me love him, all those years ago."

    "Even until today, he could make me melt inside. For fifty-five years, he had been with me to celebrate our shared birthday. While most of my girl friends had viewed their birthdays as signs of impending decreptitude and tried to ignore them, I never had anything to fear."
        
    nvl clear
    
    "Birthdays were different when you shared them with someone who had walked by your side throughout your entire life. Lawrence and I grew old... {i}together{/i}. And I was happy with that." 

    "I had shared sweet memories of our youth and childhood with him, we had passed through the sorrows and joys of married life together, raised a fine son who had children of his own, and now all I wanted to do was to spend my declining years enjoying my husband."
    
    nvl clear
    
    "{color=#49271b}{b}Steve:{/b}{/color} Blow out your candles, Grandma, Grandpa!"

    "Young Steve looked like he was about to burst. Lawrence shot a glance at me, showing his amusement at our eldest grandchild."
    
    "The boy was almost a perfect replica of his grandfather - both in looks and in manner. He was stubborn and impatient, a little obtuse, but with a hidden tenderness that he rarely revealed except to his family." 
    
    nvl clear
    
    "Chuckling at his miniature and hastening to obey, Lawrence squeezed my hand once and leaned forward. We blew out the candles on our cake together, with our nearest and dearest clapping. My son and his family, our friends gathered around."
    
    "{color=#49271b}{b}David:{/b}{/color} Speech! Speech!"
    
    nvl clear
    
    "David raised his voice and called for the traditional speech that his father had made every year. One by one, the others joined his cry until there was a positive clamor of warm and hearty voices calling out." 
    
    "Lawrence grinned at me, and it seemed as if the years drew back from his face and I saw once again the boy I fell in love with."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} All right, all right!"
        
    nvl clear
    
    "The noise died down as Lawrence cleared his throat. Expectant faces turned towards my husband as I sat back comfortably to watch him."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Well, Becky and I have now made it through fifty-five years of life together..."
    
    "<{i}...and I remember and love every one of them....{/i}>"
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} and since this will be Baby Jodie's first time hearing our speech, I've prepared a little something special."
        
    nvl clear
    
    "Our new granddaughter had been born just after our birthday last year. She already was a bundle of joy, and people were starting to say that she resembled me a lot. I was, of course, extremely pleased and proud to hear it."
    
    "Lawrence smiled and gently retrieved the quiet infant from her mother's arms before placing her in mine. He then stood back to admire the picture as I cuddled my cute little granddaughter and looked back up at him." 
        
    nvl clear
    
    "Having Jodie in my arms reminded me so much of my days when David was just her size that tears of memory sparkled in my eyes."
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} My birthday wish... my greatest prayer... is that the granddaughter grows up to be just like her grandmother. For there is no better woman on the face of the earth." 
    
    "{color=#49271b}{b}David:{/b}{/color} Hear hear!"
        
    nvl clear
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} It has been my joy and my greatest privilege to be by her side through five and a half decades, and every day I thank God that I am able to spend one more day learning more about how truly wonderful she is."
    
    "Lawrence had spoken in a hushed, reverent almost-whisper as he gazed steadily into my eyes. I could barely see him through the mist in my eyes as I overflowed with the happiness and love that hearing his tribute had brought."
        
    nvl clear
    
    "All around us, the room was silent, as if no one dared to intrude on this precious moment that only Lawrence and I shared."
    
    "The fullness of time had ripened our love, and it was a far deeper and stronger bond we shared now than when he had first proposed."
    
    "And {i}my{/i} greatest prayer, my birthday wish... was that time would enrichen us with more years to continue building that bond - until eternity."
    
    nvl clear
    
    jump query


label ending:
    
    $ save_name = "Ending"
    
    scene black with fade
    show text "{color=#FFFFFF}With the power vested in me by God, I now pronounce you husband and wife!{/color}" with dissolve
    $ renpy.pause(2.0)
    hide text with dissolve
    
    scene kiss with fade
    $ renpy.pause(5.0)
    
    scene black with fade
    show text "{color=#FFFFFF}Will you keep this dream alive?{/color}" with dissolve
    $ renpy.pause(3.0)
    hide text with dissolve
    
    
    scene bg book2 with fade
    show title_credits at chaptertitle
    nvl clear
    show lawrence_child_flip at credits1 
    show rebecca_child at credits6 
    "Story, direction and scripting by Joshua Wong (dizzcity)."
    "Music by Mihel, a rearrangement of Pachelbel's Canon in D."
    show lawrence_teen_flip at credits2 
    show rebecca_teen at credits7 
    "Character and CG Art by Anje Yoo (hitsugayahinamori)."
    "Created with Ren'Py (v. 5.6.0 - v. 6.6.3)"
    
    nvl clear
    show lawrence_youngadult_flip at credits3 
    show rebecca_youngadult at credits8 
    "Scrapbook background by Judy Meibusch (http://www.judyattoc.com)"
    "Photos obtained from: Kaikei Sozai Mise (http://shass.sakura.ne.jp/), and"
    show lawrence_middleaged_flip at credits4 
    show rebecca_middleaged at credits9 
    "Stock.xchng (http://www.sxc.hu). Photo credits include: jimrhoda, madmaven, pnijhuis, bubbels, greekgod, rweller, kamikaze00, rovaro, juliaf, purplelily, fanf, monmart, harvybase, ywel and vecoso"
    
    nvl clear
    show lawrence_old_flip at credits5
    show rebecca_old at credits10
    "With thanks to DrakeNavarone, chronoluminaire, DaFool, Nafai, Jake, Mihel and Py'Tom for all their help and encouragement."
    "Thank you for playing."
    
    $ minutes, seconds = divmod(int(renpy.get_game_runtime()), 60)
    #"It took you %(minutes)d minutes and %(seconds)d seconds to finish this game."

    scene black with fade
    show text "{color=#FFFFFF}The End{/color}" with dissolve
    $ renpy.pause(2.0)
    hide text with dissolve
    
    $ renpy.full_restart()
   
   
label storm:
    
    $ save_name = "Stormy Weather"
    $ stormy = "True"    

    scene bg book with fade
    show rebecca_youngadult at narrating
    # show title_storm at chaptertitle
        
    nvl clear
    
    "I was walking towards the campus entrance with two of my classmates, James and William, when I heard my name being called."

    "{color=#49271b}{b}Lawrence:{/b}{/color} Becky!"
    
    "{i}Lawrence!{/i} I turned and saw him leaning by the gate off to the side. Happiness flooded my heart. So he hadn't forgotten after all!"
    
    "Smiling, I bid goodbye to James and William and hurried towards him. However, as I approached, I noticed that he was frowning."
    
    nvl clear
    
    "{color=#49271b}{b}Lawrence:{/b}{/color} Are those two your classmates?"
    
    "His voice was cold, abrupt, while he nodded at the retreating backs of James and William."
    
    
    "Age 18. Becky is in university, Lawrence is working to help is family."
    "Setting: Date by the Lakeside"
    "Scenario 1: Lawrence is upset over an argument with his Dad. Becky tries to soothe him."
    "Scenario 2: Lawrence is troubled by an ethical decision at work. Becky tries to advise him."
    "Scenario 3: Lawrence forgets their anniversary. Becky is upset."
    "Scenario 4: Becky is making a lot of male friends at the university. Lawrence is jealous."
    "Scenario 5: They're just resting on the rowboat together. Then they get rained on."

